Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 79814 - postgresql-pl should obsolete postgresql-perl
Summary: postgresql-pl should obsolete postgresql-perl
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: postgresql
Version: 1.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Andrew Overholt
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks: 79579
TreeView+ depends on / blocked
 
Reported: 2002-12-17 01:53 UTC by Enrico Scholz
Modified: 2007-04-18 16:49 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-04-16 18:59:52 UTC


Attachments (Terms of Use)

Description Enrico Scholz 2002-12-17 01:53:39 UTC
Description of problem:

The new postgresql-pl package of postgresql-7.3 should obsolete postgresql-perl.
Else, upgrade fails because of conflicting files:

| $ rpm -Uvh postgresql-pl-7.3-2.i386.rpm
| Preparing...                ########################################### [100%]
|         file /usr/lib/pgsql/plperl.so from install of postgresql-pl-7.3-2
conflicts with file from package postgresql-perl-7.2.2-1


Version-Release number of selected component (if applicable):

postgresql-pl-7.3-2

Comment 1 Andrew Overholt 2003-03-04 17:37:46 UTC
Assigning to me.

Comment 2 Andrew Overholt 2003-04-16 18:59:52 UTC
This is now fixed in the packages which will be included in rawhide.

Comment 3 David Kaplan 2003-11-18 00:17:31 UTC
If you obsolete postgresql-perl, what happens to the functionality
that was contained in the the Pg.pm perl module?



Note You need to log in before you can comment on or make changes to this bug.